Overview

This API document explains the purpose and usage of the Web APIs provided by the QuikTrak Service. It defines the message formats, data structures and message protocols of the interface that applications using the services must conform to.

History

Version Date Description Updated By
0.1 2015-09-25 Create David

Glossary

Term Description
IMEI International Mobile Equipment Identity
IMSI International Mobile SubscriberIdentification Number
M2M Machine-To-Machine

Contract

Request

All APIs support HTTP GET and POST Request.

URL

http://{address}/{service}/{version}/{collection}/{action}

Format Description
address api.m2mglobaltech.com
service Currently only support QuikTrak
version The integral part of the version number (see History),  example: V0
collection Request service object.
action Request function.

Format

Format Description
JSON Content-type: text/html; charset=utf-8
JSONP Content-type: text/javascript; charset=utf-8

Response

The following tables provide lists of major and minor return codes that apply for all APIs. API specific return codes are listed against each API.

Parameter Description
MajorCode The major cause code
MinorCode The minor cause code
Data Response content

MajorCode

Value Description Method
000 Success returns. Quiktrak/V1/User/Auth
Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
100 Request has failed validation. Quiktrak/V1/User/Auth
Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
200 Execution of request has failed. Quiktrak/V1/User/Auth
Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
900 Internal processing error. Please contact support help desk.

MinorCode

Value Description Method
0000 Success returns Quiktrak/V1/User/Auth
Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
1001 No access permissions. Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
1002
1003 Quiktrak/V1/User/Auth
1004 Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
2001 Quiktrak/V1/User/Auth
Quiktrak/V1/User/Edit
Quiktrak/V1/User/Password
QuikTrak/V1/Device/GetPosArray
QuikTrak/V1/Device/GetPosInfo
QuikTrak/V1/Device/GetHisPosArray
QuikTrak/V1/Device/Edit
QuikTrak/V1/Device/Device/Lock
QuikTrak/V1/Device/Device/UnLock
QuikTrak/V1/Device/Device/GetLockArray
2002

DateTime

DateTime fields must be specified in UTC and ISO8601 compliant format as follows: YYYY-MM-DDTHH:MI:SS

Example

15th December 2013 at 5:15PM
UTC: 2013-12-15T17:15:00

Unit

Unit Speed Mileage
KT kn nmi
KPH km/h km
MPS m/s m
MPH miles/h mi

QuikTrak

Provide for real-time tracking service

User

Auth

User Authentication

URL:http://{address}/QuikTrak/{version}/User/Auth

Method: GET and POST

Frequency limit:10s

Request

Parameter Explain Type Required
UserName user name String Yes
Password password String Yes
AppKey AppKey String No
DeviceType android or ios String No
DeviceToken Device Token String No

Response

Parameter Explain
MajorToken Major access Token
MinorToken Minor access Token
User see User Info
TimeFormat User defined time format
Devices Device list , see Device info

User Info

Parameter Explain
FirstName FirstName
SubName SubName
Mobile Mobile
Phone Phone
EMail EMail

Device Info

Index Explain
Common Vehicle Animal
0 Device ID
1 IMEI
2 Name
3 Alias
4 Icon
5 Speed Unit
6 Initial mileage
7 Initial run time
8 Status
9 Activated time
10 Product Model
11 Product Model
12 Alert infos
13 Brand
14 Model
15 color
16 Factory year
17 Installation position

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/User/Auth?username=***&password=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"MajorToken":"***","MinorToken":"***","User":{"FirstName":"leetoms","SubName":"leetoms","Mobile":"13000223366","Phone":"","EMail":""},"TimeFormat":"yyyy-MM-dd HH:mm:ss","Devices":[["***","***","qt500","","car.png","KPH","0","0","1","","QT500","509","132095","","","red","",""],["***","***"," QT925"," ","car.png","KPH","0","0","1","","QT925 OBDII","139741","132095"," m6"," 2013"," black","",""],["***","***","SIMON OBD","","car.png","KPH","0","0","1","","QT925 OBDII","139741","132095","","","","",""],["***","***","***","","car.png","KPH","0","0","1","","QT601","4605","3440639","","","","",""],["***","***","AVL FACTORY","","car.png","KPH","0","0","1","","QT700","2973","0","","","","",""]]}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

Edit

Change user info?

URL:http://{address}/QuikTrak/{version}/User/Edit

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
FirstName FirstName String Yes
SubName SubName String Yes
Mobile Mobile (Not include country code) Int
Phone Phone (Not include country code) Int
EMail EMail String

Response

Parameter Explain
User See user info

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/User/Edit?MajorToken=***&MinorToken=***&FirstName=leetoms&SubName=leetoms&Mobile=13000223366

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"User":{"FirstName":"leetoms","SubName":"leetoms","Mobile":"13000223366","Phone":"","EMail":""}}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

Password

Change user password?

URL:http://{address}/QuikTrak/{version}/User/Password

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
OldPwd Old password String Yes
NewPwd New password String Yes

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/User/Password?MajorToken=***&MinorToken=***&OldPwd=***&NewPwd=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":null}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

Device

GetPosArray

Get real time positioning data?

URL:http://{address}/QuikTrak/{version}/Device/GetPosArray

Method: GET and POST

Frequency limit:40s

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes

Response

Parameter Explain
PosArray See postion info

Position info

Index Explain
0 Device ID
1 IMEI
2 Protocol type
3 Position type ignore
4 Data type ignore
5 Position time
6 System time ignore
7 Stop time , can be ignored, if value is null , means the device is moving
8 IsLive Ignore
9 IsLocated Ignore
10 Satellite Signal Ignore
11 Gsm Signal Ignore
12 Latitude
13 Longitude
14 Alt ignore
15 Direct (0~360)
16 Speed Unit
17 Mileage (m)
18 Run time (hours)
19 Alerts
20 Status
21 Ignore
22 Ignore
QT206
Index Explain
23 Battery Voltage(%)

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/GetPosArray?MajorToken=***&MinorToken=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"PosArray":[["***","***","HONGYUAN",1,2,"2015-09-18T02:14:22","2015-09-18T02:14:06.637","2015-09-16T23:23:22",true,true,0,0,28.618436666666671,115.89912666666666,0.0,30,0.0,0.0,0,0,0,0,0],["***","***","EELINK_OBD",0,2,"2015-06-03T01:15:54","2015-06-03T01:15:36.733","2015-06-01T08:20:35",true,true,0,0,28.618640000000003,115.89904,0.0,0,0.0,928.60081340862678,1176979,0,0,0,0,743.0,69.0,null,0.0],["***","***","EELINK_OBD",0,2,"2015-06-25T19:20:47","2015-06-25T19:24:46.317","2015-06-25T19:17:26",true,false,0,0,-33.941265,151.18562500000002,0.0,0,0.0,20.496248008992072,145700,0,0,0,0,1454.0,16.0,"P0000",0.0],["***","***","HONGYUAN_TEMP",1,2,"2015-07-22T17:19:14","2015-07-23T02:29:52.773",null,false,false,0,0,-1.2660799999999999,36.837236666666662,19.8,174,7.3,38972.0,0,0,0,0,0],["***","***","AVL05",1,170,"2015-09-11T06:18:24","2015-09-11T06:18:10.593","2015-09-11T04:04:29",true,true,0,0,22.53838,114.06348333333334,0.0,288,0.0,0.0,0,0,8,0,0,0.0,0.0,0.0,0.0,0.0]]}}

Request failure:

{"MajorCode":"100","MinorCode":"1001","Data":null}

GetPosInfo

Get real-time positioning data for the specified device?

URL:http://{address}/QuikTrak/{version}/Device/GetPosInfo

Method: GET and POST

Frequency limit:40s

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String Yes

Response

Parameter Explain
Pos See postion info

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/GetPosInfo?MajorToken=***&MinorToken=***&Code=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"Pos":["***","***","HONGYUAN",1,2,"2015-09-18T02:14:22","2015-09-18T02:14:06.637","2015-09-16T23:23:22",true,true,0,0,28.618436666666671,115.89912666666666,0.0,30,0.0,0.0,0,0,0,0,0]}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

GetHisPosArray

Get history location data for the specified device?

URL:http://{address}/QuikTrak/{version}/Device/GetHisPosArray

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String Yes
From Begin time see Datetime Yes
To End time see Datetime Yes

Response

Parameter Explain
HisArry See history position info

History position info

Index Explain
0 Position time
1 Latitude
2 longitude
3 Direct (0~360)
4 Speed Unit
5 Time span
6 Mileage (m)
7 Alarm info
8 Status info
9 Event Type

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/GetHisPosArray?MajorToken=***&MinorToken=***&Code=***&From=2015-09-10T00:00:00&To=2015-09-15T00:00:00

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"HisArry":[]}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

Edit

Change device info?

URL:http://{address}/QuikTrak/{version}/Device/Edit

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
Common Vehicle Type Animal Type
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String Yes
Name Name String Yes
SpeedUnit see Unit String Yes
InitMileage Initial mileage Float
InitAccHours Initial run time Float
Tag Alias String
Attr1 Brand String
Attr2 Model String
Attr3 color String
Attr4 Factory year Int

Response

Parameter Explain
Device see Device info

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/Edit?MajorToken=***&MinorToken=***&Code=***&Name=qt500&SpeedUnit=KPH&Attr3=red

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"Device":["***","***","qt500","","car.png","KPH","0","0","QT500","509","132095","","","red","","",""]}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

Lock

URL:http://{address}/QuikTrak/{version}/Device/Lock

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String Yes
TimeSpan Minutes (utc) Int Yes
Radius Float Yes

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/Lock?MajorToken=***&MinorToken=***&Code=***&TimeSpan=1&Radius=5

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":null}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

UnLock

URL:http://{address}/QuikTrak/{version}/Device/UnLock

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String Yes

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/UnLock?MajorToken=***&MinorToken=***&Code=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":null}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}

GetLockArray

URL:http://{address}/QuikTrak/{version}/Device/GetLockArray

Method: GET and POST

Frequency limit:1mins

Request

Parameter Explain Type Required
MajorToken Major access Token String Yes
MinorToken Minor access Token String Yes
Code Device ID String

Response

Parameter Explain
GeolockArray see Geolock info

Geolock info

Parameter Explain
Code Device ID
Lat Latitude
Lng longitude
Radius
TimeSpan Minutes (utc)
Status 1 active 0 frozen

Example

URL:

http://api.m2mglobaltech.com/QuikTrak/V1/Device/GetLockArray?MajorToken=***&MinorToken=***&Code=***

Request success:

{"MajorCode":"000","MinorCode":"0000","Data":{"GeolockArray":[{"Code":"***","Lat":28.618643333333331,"Lng":115.89921333333332,"Radius":5.0,"TimeSpan":1,"Status":1}]}}

Request failure:

{"MajorCode":"100","MinorCode":"1002","Data":null}


Examples


					

AUTH

GET https://api.m2mglobaltech.com/Quikloc8/V1/user/Auth2?account=demochile&password=999999&appKey=5fa98769-****-****-7b1b6f0b165a&mobileToken=5fa98769-****-*****-b25f-7b1b6f0b165a&deviceToken=5fa98769-f9cb-****-****-7b1b6f0b165a&deviceType=android request auth data: { account: *LOGIN*,//user login or major token password: *PASSWORD*,//user password or minor token appKey: *PUSH_APP_KEY*, //if (window.device == true) BuildInfo.packageName - app parameter getting by cordova plugin https://www.npmjs.com/package/cordova-plugin-buildinfo else guid() mobileToken: *PUSH_MOBILE_TOKEN*, // guid() * deviceType: *DEVICE_TYPE*, //'iOS' or 'android' deviceToken: *PUSH_DEVICE_TOKEN*, // guid() } * guid: function () { function S4() { return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1); } return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4()); } response (user info in the end of object, as well as MajorToken and MinorToken): AlarmNames: null, AssetArray: [ [ 0: "3338363838" //id 1: "00001****222884" //imei 2: "Sydney QT 735" //name 3: "0" //tag name 4: "" //icon 5: "KPH" //unit 6: "31" //InitMileage 7: "41" //InitAcconHours 8: "1" //state 9: "" //ActivateDate 10: "Monthly" //PayPlanName 11: "3GQT735" //PRDTName 12: "130173917" //PRDTFeatures 13: "2134868991" //PRDTAlerts 14: "Corolla"// model 15: "Corolla"//make 16: "White"//color 17: "19"//year 18: "install location"// 19: "1.6"// 20: "9.8"// 21: "0"// 22: ""// 23: "0"//Alarm options 24: "0"//StatusNew 25: "0"// 26: "234500003188428"//imsi 27: "256"// 28: ""//GroupCode 29: "Track"//SolutionType 30: ""// 31: ""// 32: "0"//MaxSpeedAlertMode 33: "1"//DaysInInventory 34: "2021-02-10 07:10:52"//StorageTime 35: "2021-04-09 15:37:26"//ActivationTime 36: "0.66"//BusinessExpense 37: "6"//FuelEconomy 38: "0"//EngineCapacity 39: "0"//OffroadTaxCredit 40: "Bike"//AssetType 41: "0"//AlarmOptions2 42: "a3877b7c-86bf-***-***-710060d9f1f9"//DriverCode 43: "False"//RoadSpeed 44: "False"//LBSWIFI 45: "True"//STATICDRIFT 46: ""//Input1Name 47: ""//Input2Name 48: "False"//isShared 49: "2021-05-09 15:37:26"//SuspendDate 50: "" ] …], AssetTypes: [ 0: "Bike" 1: "Boat" 2: "Bus" 3: "Car" 4: "Caravan" 5: "Containor" 6: "Dump Truck" 7: "Jetski" 8: "Personal" 9: "Pet" 10: "Plant and Equipment" 11: "SUV" 12: "Trailer" 13: "Truck" 14: "WiTi" 15: "Other" ], ContactList: [ 0: { Code: "8944cbf0-****-****-bdb000b7c4e47229b" CustomerCode: "f9087bb0-****-****-a038-ea676fdf0de2" EMail: "all@bilkes.com" FirstName: "All" Mobile: "1300885461" Number: "" Phone: "1300885461" SubName: "Bikes" } …], MajorToken: "f9087bb0-47ba-****-***-ea676fdf0de2", MinorToken: "8944cbf0-7749-****-****-8b7c4e47229b", Permissions: ",Loc8,QProtect,Track,", Permissions2: 0, Solutions: [ 0: {Code: "Al3rtLoc8", Name: "Al3rtLoc8"} 1: {Code: "Al3rtProtect", Name: "Al3rtProtect"} 2: {Code: "Al3rtTrack", Name: "Al3rtTrack"} 3: {Code: "Boat_watch", Name: "BoatFix"} 4: {Code: "BoatWatch", Name: "BoatWatch"} 5: {Code: "Deactivate", Name: "Deactivate"} 6: {Code: "Loc8", Name: "Loc8"} 7: {Code: "NonActivated", Name: "NonActivated"} 8: {Code: "ISSController", Name: "Oil Tank Monitoring"} 9: {Code: "QProtect", Name: "QProtect"} 10: {Code: "SmartTrack", Name: "SmartTrack"} 11: {Code: "Track", Name: "Track"} 12: {Code: "Watch", Name: "Watch"} 13: {Code: "WiTiQProtect", Name: "WiTi QProtect"} 14: {Code: "WiTiTrack", Name: "WiTi Track"} ], UserInfo: { Address0: "13a Kingsall Road" Address1: "13a Kingsall Road" Address2: "Attadale" Address3: "WA" Address4: "6156" CountryCode: "AUS" CustomerName: "Demo Quiktrak" CustomerType: 4 Email: "sales@quiktrakglobal.com" Expires: "2021-11-09" FirstName: "Quiktrak" Mobile: "1300885461" Number: "" SMSTimes: 0 SecurityCode: "000000" SurName: "Demos." TimeZone: 8 TimeZoneID: "W. Australia Standard Time" MajorCode: "000" MinorCode: "0000" } we can get major&minor tokens of each user if we know their login and password; we can not get user password, but can use major&minor instead (major = login, minor = passowrd) //Significance of Status field in the response StatusNew = Auth response -> Data -> AssetArray -> asset array index = 24 (value of it means summ of bytes) StatusNewEnum:{ "Geolock" : 1, "Immobilise": 2, "LockDoor": 4, }, State = Auth response -> Data -> AssetArray -> asset array index = 8 (value of it means online status of asset) state-0 -- gray state-1 -- green state-2 -- yellow state-3 -- red //Significance of Icon filed in the response. What is the image about? icon = Auth response -> Data -> AssetArray -> asset array index = 4 (asset profile photo, example: 'IMEI_086301***9905.png') let assetImg = ''; let pattern = /^IMEI_/i; const API_DOMIAN9 = "https://upload.quiktrak.co/"; if (params.Icon && pattern.test(params.Icon)) { assetImg = ``; //TimeFormat significance in the response it is format of displaying datatime, the main 4 (others you can check on platform edit customer form): window.COM_TIMEFORMAT = 'YYYY-MM-DD HH:mm:ss'; window.COM_TIMEFORMAT2 = 'YYYY-MM-DDTHH:mm:ss'; window.COM_TIMEFORMAT3 = 'DD/MM/YYYY HH:mm:ss'; window.COM_TIMEFORMAT4 = 'YYYY-MM-DD';

GET POS ARRAY

- history location details of each customers vehicle https://api.m2mglobaltech.com/QuikTrak/V1/Device/GetHisPosArray2 request params: MinorToken Code //asset code From //YYYY-MM-DDTHH:mm:ss To //YYYY-MM-DDTHH:mm:ss https://api.m2mglobaltech.com/QuikTrak/V1/Device/GetHisPosArray2 this method we are using for getting playback data request: MinorToken: 6335934b-***-48ea-***-9d816ebd57ef Code: 343432323B From: 2021-12-13T18:55:00 To: 2021-12-14T18:55:00 response: Data: { HisArry: [ 0: 1639467009 //positionTime 1: -32.061548 //lat 2: 115.800861 //lng 3: 19 //direct 4: 0 //speed 5: "00:00:00" //timeSpan 6: 0.146 //mileage 7: 0 8: 2097152 //alerts 9: "MOVE" //status 10: 0 ] } > Significance of the filed Direct (0~360) 3: 19 //direct > Significance of the filed Alerts 8: 2097152 //alerts = bit sum of alerts > Significance of the filed Status 9: "MOVE" //status LOCK, UNLOCK > Significance of Lock, UnLock and GetLockArray API's API_URL.SET_GEOLOCK = https://api.m2mglobaltech.com/Quikloc8/V1/asset/GeoLock"; API_URL.SET_IMMOBILISATION = https://api.m2mglobaltech.com/Quikloc8/V1/asset/Relay"; API_URL.SET_IMMOBILISATION_NO_PAY = https://api.m2mglobaltech.com/Quikloc8/V1/asset/RelayNoPay"; API_URL.SET_DOORLOCK = https://api.m2mglobaltech.com/Quikloc8/V1/asset/door";" let url = API_URL.SET_GEOLOCK; //asset/GeoLock if (params.name === 'Immobilise') { if(self.isLiveAsset){ url = API_URL.SET_IMMOBILISATION_NO_PAY; //asset/RelayNoPay }else{ url = API_URL.SET_IMMOBILISATION; //asset/Relay } }else if(params.name === 'LockDoor'){ url = API_URL.SET_DOORLOCK; //asset/door } let data = { MajorToken: self.$root.MajorToken, MinorToken: self.$root.MinorToken, code: params.id, //asset id }; if (params.name === 'LockDoor') { data.state = params.state ? 'lock' : 'unlock'; }else{ data.state = params.state ? 'on' : 'off'; } self.$app.request.promise.get(url, data, 'json') .then(function (result) { if (result.data && result.data.MajorCode === '000') { self.$app.methods.setStatusNewState({ asset: params.imei, forAlarm: params.name, state: params.state }); ... CUSTOMER(S) https://api.m2mglobaltech.com/Quiktrak/V2/Customer/GetList?MajorToken=****&MinorToken=****&rows=25&page=1&sort=Name&order=asc&q=&PCode=&CustomerType=&QA= GET main customer list/filter by parameters: MajorToken=**** MinorToken=**** rows=25 //number of rows per page page=1 //number of current page sort=Name //ordering list by field name (the same as object's property name) order=asc //ordering dirrection (asc/desc) q= //searching by any customer parameter (name, email, login etc) PCode= //customer's code (for searching sub customers) CustomerType=//Admin: 1,Agent: 2,Enterprise: 4,Personal: 5,Dealer: 6,Master: 7,ProtectEnterprise: 8, QA=//searching by IMEI/IMSI/AssetName CUSTOMER INFO https://api.m2mglobaltech.com/Quiktrak/V2/Customer/PreEdit POST geting customers additional details (contact info, permissions etc): MajorToken: **** MinorToken: **** Code: 642f96d1-3db-***-e-0b5ee0fc0522 // customer's code, you can get from get customer list ASSET(S) https://api.m2mglobaltech.com/QUIKTRAK/V2/ASSET/GETLIST?MajorToken=***&MinorToken=***&CsCode=&page=1&rows=20&sort=IMEI&order=desc&q=&SIMS=&AssetStatus=&AssetType=&payPlanCode=&Solution=&productCode=&SimStatus=&IMEIS= MajorToken={0} MinorToken={1} &CsCode={2}//searching by customer code &page={3}//current page &rows={4}//number of rows per page &sort={5}//sort by field name &order={6}//asc or desc &q={7}//searching by asset name, imei or imsi &SIMS={8}//searching by imsis like imsi1,imsi2,imsi3 &AssetStatus={9}//searching by asset status {name: 'No Data', code: '9_NO_DATA'}, {name: 'Offline', code: '3_OFFLINE'}, {name: 'Offline24h', code: '2_OFFLINE'}, {name: 'Online', code: '1_ONLINE'}, &SimStatus={14}//searching by sim status {name: 'Deleted', code: 'Deleted'}, {name: 'OnStock', code: 'OnStock'}, {name: 'Productive', code: 'Productive'}, {name: 'Suspended', code: 'Suspended'}, {name: 'Test', code: 'Test'}, {name: 'TestProductive', code: 'TestProductive'}, &IMEIS={15}',//searching by imeis as imei1,imei2,imei3 &AssetType={10}// &payPlanCode={11}// &Solution={12}// &productCode={13}// for last 4 list of parameters use get SSP method: GET request data = {DealerToken: /*major token*/} https://api.m2mglobaltech.com/Common/v1/Activation/SSP ASSET INFO https://api.m2mglobaltech.com/Common/v1/Activation/GetAssetsInfo?majortoken=****&imeis=089445***399862 for getting additional asset info GET imeis: val.IMEI, majortoken: MajorToken.value